### A free/open-source library for quantitative finance

Public Member Functions
HistoricalForwardRatesAnalysisImpl< Traits, Interpolator > Class Template Reference

Historical correlation class More...

`#include <ql/models/marketmodels/historicalforwardratesanalysis.hpp>`

Inherits HistoricalForwardRatesAnalysis.

List of all members.

## Public Member Functions

HistoricalForwardRatesAnalysisImpl (const boost::shared_ptr< SequenceStatistics > &stats, const Date &startDate, const Date &endDate, const Period &step, const boost::shared_ptr< InterestRateIndex > &fwdIndex, const Period &initialGap, const Period &horizon, const std::vector< boost::shared_ptr< IborIndex > > &iborIndexes, const std::vector< boost::shared_ptr< SwapIndex > > &swapIndexes, const DayCounter &yieldCurveDayCounter, Real yieldCurveAccuracy)

const std::vector< Date > & | skippedDates () const
const std::vector< std::string > & | skippedDatesErrorMessage () const
const std::vector< Date > & | failedDates () const
const std::vector< std::string > & | failedDatesErrorMessage () const
const std::vector< Period > & | fixingPeriods () const

## Detailed Description

### template<class Traits, class Interpolator>
class QuantLib::HistoricalForwardRatesAnalysisImpl< Traits, Interpolator >

Historical correlation class